Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.window
Interface IdeButtonType

public interface IdeButtonType

Interface `IdeButtonType` stores string constants used for identifying the types of buttons.

Author:
  TogetherSoft

Field Summary
`final static String` | `ADVANCED` Advanced button.
`final static String` | `ALL` All button.
`final static String` | `APPLY` Apply button.
`final static String` | `CANCEL` Cancel button.
`final static String` | `FINISH` Finish button.
`final static String` | `HELP` Help button.
`final static String` | `IGNORE` Ignore button.
`final static String` | `NEXT` Next button.
`final static String` | `NO` No button.
`final static String` | `OK` Ok button.
`final static String[]` | `OK_BUTTONS` Array containing OK.
`final static String[]` | `OK_CANCEL_BUTTONS` Array containing OK and CANCEL.
`final static String` | `PREVIOUS` Previous button.
`final static String` | `RETRY` Retry button.
`final static String` | `YES` Yes button.
`final static String[]` | `YES_NO_BUTTONS` Array containing YES and NO.
`final static String[]` | `YES_NO_CANCEL_BUTTONS` Array containing YES, NO and CANCEL.

Field Detail

### ADVANCED

    public final static String ADVANCED

  Advanced button.

### ALL

    public final static String ALL

  All button.

### APPLY

    public final static String APPLY

  Apply button.

### CANCEL

    public final static String CANCEL

  Cancel button.

### FINISH

    public final static String FINISH

  Finish button.

### HELP

    public final static String HELP

  Help button.

### IGNORE

    public final static String IGNORE

  Ignore button.

### NEXT

    public final static String NEXT

  Next button.

### NO

    public final static String NO

  No button.

### OK

    public final static String OK

  Ok button.

### OK_BUTTONS

    public final static String[] OK_BUTTONS

  Array containing OK.

### OK_CANCEL_BUTTONS

    public final static String[] OK_CANCEL_BUTTONS

  Array containing OK and CANCEL.

### PREVIOUS

    public final static String PREVIOUS

  Previous button.

### RETRY

    public final static String RETRY

  Retry button.

### YES

    public final static String YES

  Yes button.

### YES_NO_BUTTONS

    public final static String[] YES_NO_BUTTONS

  Array containing YES and NO.

### YES_NO_CANCEL_BUTTONS

    public final static String[] YES_NO_CANCEL_BUTTONS

  Array containing YES, NO and CANCEL.

Association Links

to Class java.lang.String

  Ok button.

to Class java.lang.String

  Cancel button.

to Class java.lang.String

  Apply button.

to Class java.lang.String

  Help button.

to Class java.lang.String

  Next button.

to Class java.lang.String

  Previous button.

to Class java.lang.String

  Yes button.

to Class java.lang.String

  No button.

to Class java.lang.String

  Retry button.

to Class java.lang.String

  Ignore button.

to Class java.lang.String

  Advanced button.

to Class java.lang.String

  Finish button.

to Class java.lang.String

  All button.

to Class java.lang.String

  Array containing YES and NO.

to Class java.lang.String

  Array containing YES, NO and CANCEL.

to Class java.lang.String

  Array containing OK.

to Class java.lang.String

  Array containing OK and CANCEL.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD